<RSSMutableArticle> Protocol Reference

`#import <RSSArticleProtocol.h>`

Inheritance diagram for <RSSMutableArticle>:

## Instance Methods

(void) | - addLink:
(void) | - setLinks:
(void) | - setDate:
Instance Methods inherited from <RSSArticle>
(NSString *) | - headline
(NSString *) | - url
(NSString *) | - content
(NSArray *) | - links
(NSDate *) | - date
(NSURL *) | - enclosure
(id< RSSFeed >) | - feed
(BOOL) | - store
(void) | - willBeReplacedByArticle:

## Detailed Description

Instances conforming to this protocol can be modified. Applications usually don't want to modify articles, as they are already created by the feeds, so handing around articles as id<RSSArticle> is a good way to ensure nobody (without malicious intentions) is going to change them.

## Method Documentation

## addLink:

- (void) addLink: |  | (NSURL *) | anURL |

Adds a new link to this article. This is a RSSLink object, which usually has the "type" property set to an NSString which represents the resource's MIME type. You may also specify the "rel" property, which should be one of "enclosure", "related", "alternate", "via".

Reimplemented in RSSArticle.

## setDate:

- (void) setDate: |  | (NSDate *) | aDate |

Sets the article's date.

Reimplemented in RSSArticle.

Referenced by RSSArticle::willBeReplacedByArticle:.

## setLinks:

- (void) setLinks: |  | (NSArray *) | someLinks |

Replaces the list of links with a new one. See the documentation for addLink: for details. Hint: The parameter may also be nil.

Reimplemented in RSSArticle.

The documentation for this protocol was generated from the following file:

- RSSArticleProtocol.h